JNA API 3.3.0

## com.sun.jna.platform.win32
Class WinUser.INPUT.INPUT_UNION

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.Union
              com.sun.jna.platform.win32.WinUser.INPUT.INPUT_UNION

Enclosing class:
  WinUser.INPUT

    public static class WinUser.INPUT.INPUT_UNION

extends Union

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`Structure.ByReference, Structure.ByValue`

Field Summary
`WinUser.HARDWAREINPUT` | `hi`
`WinUser.KEYBDINPUT` | `ki`
`WinUser.MOUSEINPUT` | `mi`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinUser.INPUT.INPUT_UNION()`
`WinUser.INPUT.INPUT_UNION(Pointer memory)`

Method Summary

Methods inherited from class com.sun.jna.Union
`getNativeAlignment, getTypedValue, readField, setType, setType, setTypedValue, writeField, writeField`

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getPointer, getStructAlignment, hashCode, newInstance, read, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### mi

    public WinUser.MOUSEINPUT mi

### ki

    public WinUser.KEYBDINPUT ki

### hi

    public WinUser.HARDWAREINPUT hi

Constructor Detail

### WinUser.INPUT.INPUT_UNION

    public WinUser.INPUT.INPUT_UNION()

### WinUser.INPUT.INPUT_UNION

    public WinUser.INPUT.INPUT_UNION(Pointer memory)

JNA API 3.3.0

Copyright © 2007-2010 Timothy Wall. All Rights Reserved.